PDA

View Full Version : How to build a drivable car missing dependency



jeffmorris
August 25th, 2012, 08:22 PM
While I was checking out the TrainzDev Wiki, I found a guide on how to build a drivable car at this link but it is missing a dependency - KUID 30501:17683, and it's not on the DLS and I think that WindWalkr forgot to add the download link for the missing dependency. How can I get the missing dependency?

http://online.ts2009.com/mediaWiki/index.php5/HowTo/Build_a_drivable_car

jeffmorris
August 27th, 2012, 04:29 AM
Please help me get the missing dependency. I think that the missing dependency displays a dialog box.

fran1
August 27th, 2012, 05:01 AM
Have a look at zFire engine by tafweb, kuid 1942:6. It hasn't got that kuid though but might have an alternative.

cascaderailroad
August 27th, 2012, 08:06 AM
You can make any asset (static, trackside, commodity ... etc ...) drivable, using cyberstorms drivable superadaptor, and putting the desired kuid into the aliased config file line.

jeffmorris
August 27th, 2012, 03:15 PM
I think that KUID 30501:17683 belongs to the "Set Camera" rule.

itareus
August 27th, 2012, 03:41 PM
You can make any asset (static, trackside, commodity ... etc ...) drivable, using cyberstorms drivable superadaptor, and putting the desired kuid into the aliased config file line.

Maybe I'm reading too much into the TrainvDev article, or maybe I'm just hopeful, but it would appear to me that the "drivable car" as described goes beyond the functionality of the driveable superadaptor.

Best to read the Wiki article yourself and make your own judgement !



...it is missing a dependency - KUID 30501:17683, and it's not on the DLS and I think that WindWalkr forgot to add the download link for the missing dependency...

I suspect that you are correct and that the link has been missed.

jeffmorris
August 29th, 2012, 04:17 AM
Will Windwalkr please add the download link to "Set Camera" rule?

Pencil42
August 29th, 2012, 09:46 AM
Given that the page mentions under the caveats section:


The assets and techniques described here require TS12 SP1 (http://online.ts2009.com/mediaWiki/index.php5?title=TS12_SP1&action=edit&redlink=1).

We'll probably need to wait for that until this works.

Curtis

cascaderailroad
August 17th, 2013, 05:14 AM
So where can one aquire the controlset KUID 30501:17683 ?

clam1952
August 17th, 2013, 05:34 AM
So where can one aquire the controlset KUID 30501:17683 ?

TS12 SP1. It's a builtin and it won't work with pre SP1 so no point in trying.

shaneturner12
August 17th, 2013, 05:34 AM
Controlset assets, to the best of my knowledge, are only available/usable in TS12 SP1.

Shane